var SystrayController = function($scope, $timeout, $translate) {
	DriveController.call(this, $scope, $translate);
	var self = this;
	// Set default status
	$scope.engine = null;
	$scope.current_actions = [];
	$scope.last_files = [];
	$scope.notifications = [];
	$scope.syncing_items = 0;
	$scope.autoUpdate = this.getAutoUpdate();
	$scope.app_update = this.getUpdateStatus();
	$scope.update_channel = ''
	$scope.confirmAppUpdateDialog = null;
	$scope.confirmAppUpdate = function(version) {
		$scope.updateChannel = $scope.betaChannel ? 'beta ' : '';
		$scope.confirmAppUpdateDialog = version;	
	}
	$scope.interval = null;

	// Set default action
	$scope.open_local = function(path) {
		self.openLocal($scope.engine.uid, path);
	}
	$scope.open_remote = function() {
		self.openRemote($scope.engine.uid);
	}
	$scope.show_metadata = function(path) {
		self.showMetadata($scope.engine.uid, path);
	}
	$scope.advanced_systray = this.advancedSystray;
	
	$scope.appUpdate = function() {
		self.appUpdate($scope.confirmAppUpdateDialog);
		$scope.app_update = ['updating', $scope.confirmAppUpdateDialog, 0];
		$scope.confirmAppUpdateDialog = null;
	}
	$scope.update = function() {
		$scope.app_update = angular.fromJson(drive.get_update_status());
	}
	$scope.triggerNotification = function(notification) {
		drive.trigger_notification(notification.uid);
	}
	$scope.discardNotification = function(notification) {
		drive.discard_notification(notification.uid);
		$scope.notifications.splice($scope.notifications.indexOf(notification),1);
	}
	self.init($scope);
	$scope.getEngineClass = function(engine) {
		if (engine == $scope.engine) {
			return "currentEngine";
		}
		return "";
	}
}
SystrayController.prototype = Object.create(DriveController.prototype);
SystrayController.prototype.constructor = SystrayController;
SystrayController.prototype.init = function($scope) {
	if ($scope.engines.length > 0) {
		$scope.bind = true;
	} else {
		$scope.bind = false;
		drive.resize(300, 280);
	}
}
SystrayController.prototype.showMetadata = function(uid, path) {
	drive.show_metadata(uid, path);
}
SystrayController.prototype.advancedSystray = function() {
	drive.advanced_systray();
}

/**
 * Sample of a CustomSystrayController
 */
function CustomSystrayController($scope, $interval, $translate) {
	SystrayController.call(this, $scope, $interval, $translate);
}
CustomSystrayController.prototype = Object.create(SystrayController.prototype);
CustomSystrayController.prototype.constructor = CustomSystrayController;
CustomSystrayController.prototype.advancedSystray = function() {
	drive.advanced_systray();
}
